| optoMDC

Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.MiscSystems.SnapshotManager Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.SnapshotManager:

## Public Member Functions
def | __init__ (self, board=None)
def | GetSnapShotCapacity (self)
def | GetDefaultSnapShot (self)
def | SetDefaultSnapShot (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Public Attributes
| sys_id
| snapshot_capacity
| default_snapshot
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Device Functionality - Vector Pattern Memory
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | snapshot_capacity         | 0x00 |float 32-bit |None  |       | 2       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | default_snapshot          | 0x01 |float 32-bit |None  |       | 0       |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.SnapshotManager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetDefaultSnapShot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetDefaultSnapShot | ( |  | self | ) |

## ◆ GetSnapShotCapacity()

def optoKummenberg.registers.MiscSystems.SnapshotManager.GetSnapShotCapacity | ( |  | self | ) |

## ◆ SetDefaultSnapShot()

def optoKummenberg.registers.MiscSystems.SnapshotManager.SetDefaultSnapShot | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ default_snapshot

optoKummenberg.registers.MiscSystems.SnapshotManager.default_snapshot

## ◆ name

optoKummenberg.registers.MiscSystems.SnapshotManager.name

## ◆ snapshot_capacity

optoKummenberg.registers.MiscSystems.SnapshotManager.snapshot_capacity

## ◆ sys_id

optoKummenberg.registers.MiscSystems.SnapshotManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/MiscSystems.py